Skip to main content
GET
Wallet - PnL Summary
Get profit and loss summary for a wallet. Shows realized and unrealized PnL across all token positions.
Related: GraphQL Wallet PnL | MCP: wallet_get_pnl

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks Supported blockchain chains

Available options:
sol,
eth,
bsc
walletAddress
string
required

An address of a wallet

Query Parameters

resolution
enum<string>
default:1d

PnL time resolution (1d, 7d, 30d, or all) PnL resolution period

Available options:
1d,
7d,
30d,
all

Response

200 - application/json

Successful response

Wallet PnL Summary (aggregated across all tokens for a given resolution)

avgProfitPerTradeInUsd
string
required

Average profit per trade in USD

Example:

"402.86"

buyAmountInUsd
string
required

Total buy amount in USD

Example:

"101371192.39"

buys
string
required

Total number of buy trades

Example:

"1515999"

losses
string
required

Number of losing trades

Example:

"348350"

realizedProfitInUsd
string
required

Realized profit in USD

Example:

"802583.91"

realizedProfitRatio
string
required

Realized profit ratio

Example:

"0.0035521324"

resolution
string
required

PnL time resolution

Example:

"1d"

sellAmountInUsd
string
required

Total sell amount in USD

Example:

"60369621.10"

sells
string
required

Total number of sell trades

Example:

"1011994"

tokens
string
required

Total number of traded tokens

Example:

"15126"

totalCostInUsd
string
required

Total cost basis in USD

Example:

"225944253.64"

totalProfitInUsd
string
required

Total profit (realized + unrealized) in USD

Example:

"1018427683.08"

totalProfitRatio
string
required

Total profit ratio

Example:

"4.5074290081"

totalTrades
string
required

Total number of all trades

Example:

"2527993"

unrealizedProfitInUsd
string
required

Unrealized profit in USD

Example:

"1017625099.17"

unrealizedProfitRatio
string
required

Unrealized profit ratio

Example:

"4.5038768756"

walletAddress
string
required

Wallet address

Example:

"54Pz1e35z9uoFdnxtzjp7xZQoFiofqhdayQWBMN7dsuy"

winRate
string
required

Ratio of winning trades to total trades

Example:

"0.5575"

wins
string
required

Number of profitable trades

Example:

"438944"

updatedAt
string | null

Last updated timestamp

Example:

"2026-02-04T11:42:50.000Z"